{$A+,B-,D+,E+,F-,G-,I+,L+,N-,O-,P-,Q-,R-,S+,T-,V+,X+,Y+}
{$M 16384,0,655360}

{MK1...Simmulation Millionenklick}

uses crt;

const
 text2='Web.de Millionenklick (7 aus50)';
 anzahlz=7;
 zahlmin=1;
 zahlmax=50;
 ziehungen=1000000000;

type
 zsatz=record
   zzahl:array [1..anzahlz] of integer;
 end;
 gewinn=record
   _er:array [1..anzahlz] of longint;
 end;

var
 ziehung:longint;
 z_random,
 z_tip1,
 z_tip2,
 z_ziehung:zsatz;
 g_tip1,
 g_tip2:gewinn;


 n,m,o,p,x,y:integer;
 a:char;

procedure zrnd;
  var
   zn,zm,zp: byte;
   dop:boolean;
  begin
   for zn:=1 to anzahlz do z_random.zzahl[zn]:=0;
   for zn:=1 to anzahlz do begin
     repeat
       dop:=false;
        z_random.zzahl[zn]:=random(zahlmax-zahlmin+1)+1;
        for zm:=1 to zn-1 do begin
          if z_random.zzahl[zn]=z_random.zzahl[zm] then dop:=true
        end;
      until not dop;
    end;
    repeat
      dop:=false;
      for zn:=1 to (anzahlz-1) do begin        {sortieren}
        if z_random.zzahl[zn]>z_random.zzahl[zn+1] then begin
          zp:=z_random.zzahl[zn];z_random.zzahl[zn]:=z_random.zzahl[zn+1];z_random.zzahl[zn+1]:=zp;
          dop:=true
        end
      end;
    until not dop;
  end;

procedure auswertung;
  var an,am,richtige_1,richtige_2:integer;
  begin
    richtige_1:=0;richtige_2:=0;
    for an:=1 to anzahlz do begin
      for am:=1 to anzahlz do begin
        if z_tip1.zzahl[an]=z_ziehung.zzahl[am] then inc(richtige_1);
        if z_tip2.zzahl[an]=z_ziehung.zzahl[am] then inc(richtige_2);
      end;
    end;
    if richtige_1>0 then inc(g_tip1._er[richtige_1]);
    if richtige_2>0 then inc(g_tip2._er[richtige_2]);
  end;



begin
  clrscr;
  Writeln ('   ','Lotto-Simmulation / Freeware von H.Reither (3/2001)');
  writeln;
  Writeln ('   ',text2);
  gotoxy(4,4);write ('Ziehung:');
  gotoxy(4,8);write ('Tip: 1');
  gotoxy(4+4*anzahlz+10,8);write('Tip: 2');


  for o:=1 to anzahlz do begin;
    gotoxy(4,12+o); write (o,'er :');
    gotoxy(4+4*anzahlz+10,12+o); write (o,'er :');
  end;

  gotoxy(4,12+o+3); write (Ziehungen,' Ziehungen / Abbruch mit >X<');

  randomize;
  zrnd;z_ziehung:=z_random;
  zrnd;z_tip1:=z_random;

  repeat
    ziehung:=ziehung+1;
    gotoxy(14,4);write(ziehung);
    x:=4;y:=5;

    zrnd;z_ziehung:=z_random;
    for m:=1 to anzahlz do begin
      gotoxy(x,y);x:=x+4;
      write (z_ziehung.zzahl[m],'   ');
    end;
    x:=4;y:=9;
    for m:=1 to anzahlz do begin
      gotoxy(x,y);x:=x+4;
      write (z_tip1.zzahl[m],'   ');
    end;
    x:=x+10;
    zrnd;z_tip2:=z_random;
    for m:=1 to anzahlz do begin
      gotoxy(x,y);x:=x+4;
      write (z_tip2.zzahl[m],'   ');
    end;

    auswertung;

    for o:=1 to anzahlz do begin;
      gotoxy(4+8,12+o); write (g_tip1._er[o]);
      gotoxy(4+8+4*anzahlz+10,12+o); write (g_tip2._er[o]);
    end;

    if keypressed then a:=readkey;
    until ((ziehung > Ziehungen)or (a='X')or (a='x'));

end.